ABSTRACT 

To the Ancient time about which Indian Literature “Manusmriti” mentioned, when the world “Joint 

Family” was the substitute to security, to the time where we need legislative provisions to secure our 

rights, we have indeed come along a long way. And on the top of everything, the status of women has 

been deteriorating. The (Draft) Code on Social Security, 2018, poses a critical examination of its 

potential impact on women workers, contemplating whether it serves as a boon or a bane for their 

welfare. The proposed code, aimed at overhauling India's social security framework, introduces 

significant changes that warrant a gender-specific analysis. 

 

On the positive side, the code seeks to enhance the social security net for women by broadening the 

scope of benefits, including maternity benefits, medical coverage, and provident fund contributions. 

These provisions acknowledge the unique challenges faced by women in the workforce, aiming to 

provide a more inclusive and supportive environment. 

 

However, concerns arise regarding potential drawbacks. The draft code's implementation may 

inadvertently perpetuate gender disparities, particularly if not accompanied by robust enforcement 

mechanisms to ensure equal access and opportunities. Critics argue that certain provisions may fall 

short in addressing nuanced issues faced by women workers, such as wage gaps, workplace 

harassment, and discrimination. 

 

The draft code's effectiveness for women workers hinges on meticulous implementation, clear 

enforcement mechanisms, and a comprehensive understanding of the multifaceted challenges they 

encounter. Striking a balance between providing necessary social security measures and addressing 
gender-specific concerns is imperative for ensuring that the (Draft) Code on Social Security, 2018, 

indeed becomes a boon rather than a bane for women in the workforce. 

 

Keywords: Maternity benefits, enforcement mechanisms, wage gaps, provident fund, gender 

disparities. 

 

INTRODUCTION 

The respective terms “Social Security” and “Workers” is such a broad area that it brings discrepancies 

along with it and something not to be expressed in definite terms. Before going further, we need to 

get a basic idea about what these terms stand for and what is their significance.  

 

What is social security?  

Social security in its narrower sense is taken as the security of the whole society, but it has its broader 

dimension. Sometimes it can be taken as “freedom from want”, sometimes it can be mere security or 

can be taken as a needed weapon for the advancement and proper functioning of society. According 

to Sir Beverage “Social Security means an attack on want, disease, ignorance, squalor and idleness.”1 

In a way, we can also define social security as that it is a system which is aimed at bringing all round 

well-being of society by providing various amenities and facilities to maintain the conditions of labour 

to remove the unjust conditions of labour as it imperils the peace and harmony.2  

 

 Why there was a need for social security?  

With the era of Industrialization, there was the rise in use of machines which eventually turned out to 

be a threat to the workers along with the risks of frequent accidents and injuries now and then as this 

transformation into Industrial era was something new to them and they were not well versed with the 

technologies and functioning of machines. This turned out to be difficult working conditions for them, 

affecting their health eventually and there were many factors behind, like maternity, old age, physical 

and mental health, sociological and individual factors of the workers and altogether these factors were 

                                                             
1 Devadasan Pradeep, Kalicharan, M, “Social Security Measures For Indian Workforce - A Legal Intervention” 

(2016/01/01)https://www.researchgate.net/publication/309573528_Social_Security_Measures_For_Indian_Workfor 

ce_-_A_Legal_Intervention ,(accessed 22nd February;2024,09:50 a.m.) 
2Chapter 2, Conceptual Frame Work of Social Security 

https://sg.inflibnet.ac.in/bitstream/10603/105639/7/07_chapter%202.pdf,(accessed 22nd February;2024,09:50 a.m.) 



 

  

depriving workers of their earnings and it was the necessity to provide them with the basic amenities, 

giving security to them and concept of employee liability also came in the picture. With this, the 

concept of social security came as a rescue to them and played an important factor in the protection 

of workers from different hazardous factors and minimizing and the negative impacts of growing 

industrialization social security, provide them with the much-needed assurance and workers realized 

that they have the right to protection and provision for safety, welfare and health. Going with the 

words of Human Development Report 1993, “Human security is a child who did not die, a disease 

that did not spread, a job that was not cut, an ethnic tension that did not explode in violence, a dissident 

who was not silenced, Human security is not a concern with weapons, it is a concern with human life 

and dignity”3. And with this, we can comprehend that social security was needed to give status and 

rights to the individuals which they were deprived of, as Social Security, as currently understood, is 

one of the dynamic concepts of the modern age which is influencing social as well as economic 

policy4 

 

What is the aim of Social Security? 

 Concept of social security targets people; Social Security is required for meeting certain needs which 

are rooted in lack, loss or inadequacy of income or assets due to unemployment, sickness, accidents, 

maternity, disability, old age or death5 It focuses on three security measures - prevention, restoration 

and compensation.  

 

Social Security and Human Right Social  

security is not just the mere demand of people but the right embodied in our Indian Constitution, 

Social Security and labour welfare falls under the Concurrent List. Part IV: DPSP deals with the same 

under Article 41 and 42 of the Indian Constitution. 

 

"Everyone as a member of the society has the right to social security and is entitled to realization 

through national efforts and international cooperation and following the organization and resources 

of each state of economic, social and cultural rights indispensable for his dignity and the development 

                                                             
3 UNDP. 1993. Human Development Report 1993. http://www.hdr.undp.org/en/reports/global/hdr1993." Last accessed 

22nd Febraury2024, 07:20 A.M. 
4 Giri (V.V.), "Labour problems in Indian IndustryJ', (Bombay: Asia Publishing House), 1972 edition, P-269. 
5 Supra note 2. 



 

  

of his personality.6 

 

Why there is a need for social security for women? 

By various studies and research conducted till date, the picture of status and conditions of women in 

our Indian society is very clear and the primary reason behind their subordination is their economic 

dependence on others. So, to be improving their condition they have to be economically sound. 

Education of Indian women has risen; fertility rates have fallen; and access to electricity, cooking 

gas, and water has improved. However, women’s labour force participation rate (LFPR) has fallen 

from 42.7 per cent in 2004–05 to 23.3 per cent in 2017–18.7 With this, we know either women don’t 

opt for work or if they do and voluntarily opts out of work it’s because of structural constraints or 

socio-cultural factors, and in this case, the government has to intervene, and with this need of social 

security for women comes in place, providing them with appropriate security assurance.  

 

Social Security in India as compared to social security in other countries 

Only 20 per cent of the world’s population has adequate social security coverage, while more than 

half lacks any kind of social security protection at all and only one in five people in the world has 

adequate social security coverage.8Germany was the first country who introduced social security 

scheme in 1883 and social security act came into existence in 1935 in the USA. Apart from everything 

else, we don’t stand at the same footing with other developed nations when it comes to social security. 

92% of the workforce is in the informal sector which is largely unrecorded.9 In India the coverage 

gap i.e. workers who do not have access to any formal scheme for old-age income provisioning 

constitute about 92% of the estimated workforce of 400 million people10. 

Now, by understanding concepts of social security and how Social Security is an indispensable 

component of labour welfare, we will see some about The (Draft) Code on Social Security, 2018 and 

what it has to offer. 

                                                             
6 Article 22 of the Universal Declaration of Human Rights. 
7 Deepa Krishnan,WORLD VIEW, As India advances, women’s workforce participation plummets, (May 15, 

2020)https://www.strategy-business.com/blog/As-India-advances-womens-workforce-participation 

plummets?gko=762f7, last accessed on 24th Febrauary 2024,08:55 P.M. 
8 Facts on Social Security International Labour Organization, https://www.ilo.org/wcmsp5/groups/public/-- dgreports/---

dcomm/documents/publication/wcms_067588.pdf. accessed on 24th February 2024,09:15 P.M. 
9 9(Economy) Social Security : Maning and Laws in India,https://mrunal.org/2012/07/economy-social-security epfo.html. 

Last accessed on 24th Febrauary 2024 , 09:20 P.M. 
10 Id. 



 

  

PURPOSE AND SCOPES OF THE (DRAFT) CODE ON  

SOCIAL SECURITY, 2018. 

This being the initiative of the central government is taken with some purposes. It was the need of the 

hour, as 90% of the population were not covered any social security.11 Apart from this, workers under 

unorganized sector were excluded, there were not so many schemes and the schemes were prevalent 

was not within the reach of everyone. current thresholds for wage and number of workers employed 

for a labour law to become applicable creates tenacious incentives for the employers to avoid joining 

the system which results in exclusions and distortions in the labour market. 12And as there was the 

multiplicity of applicable laws, policies, schemes and governmental instrumentalities, so to tackle this 

issue, code aimed to rationalize, simplify and consolidate multiple statutes into one consolidated law, 

with which understanding, implementation and enforcement will be easier. This code draws its 

understanding of Social Security from the fundamental ILO Convention on Social Security (C102) 

and nine types of social security covers are included as described in the said Convention. schemes 

such as Pension, Sickness Benefit, Maternity Benefit, Disablement Benefit, Invalidity Benefit, 

Dependent's benefit, Medical Benefit, Group Insurance Benefit, Provident Fund, Unemployment 

Benefit and International worker's pension benefit has to be provided by the social security fund of 

each state. The Labour Code also aims to streamline and centralize the investments for maximizing 

returns.  

 

“EMPLOYEES” Under the (Draft) Code on Social Security,2018.  

The purpose of the code is the universalization of Social Security, and with this purpose under the 

code, the definition of employee covers all kinds of employment including part-time workers, casual 

workers, fixed-term workers, piece rate/ commission rated workers, informal workers, home-based 

workers, domestic workers and seasonal workers. However, this universalization has certain 

exceptions to it, and there is a requirement under the code that all the current workers have to get 

them registered under the universal registration system, i.e. Aadhar based.  

 

                                                             
11 Harsimran Singh,Singh & Associates; India: The (Draft) Labour Code On Social Security 2018 (21 May 2018), 

https://www.mondaq.com/india/employee-benefits-compensation/702902/the-draft-labour-code-on-social-security 

2018, accessed 25th Febrauary 2024,05:55 P.M. 
12 Id 



 

  

Scope under the (Draft) Code on Social Security, 2018. 

Differentiation of Entity, Establishments, Enterprise and Business: Under this code term Entity, 

Establishments, Enterprise and Business have been distinguished. Where the entity being a broader 

term includes the entire spectrum of units where the work is being done by the persons without 

considering the factor of quantum and nature of work. Enterprise is a larger subset of an entity, and 

under Enterprise, workers may or may not be employed, unlike Establishments where there is a 

mandate to employ at least one worker. On a broader connotation, Entities and Employer also includes 

households. So, until and unless it is specifically mentioned under the code through an entry in 

Schedule-I, that it is not excluded, the Labour Code applies to households and domestic workers as 

well. 

 

o Deactivation of workers registration 

Intending to pass the benefits of the code to that only who are covered under the definition of workers, 

and to fall under that criterion of workers, there is the minimum period (which is to be decided by the 

National council) prescribed in a year for which a person has to work so that he/she will be entitled 

of the benefits under the Labour code. But under any period where the employer is unable to 

contribute to work because of sickness, maternity or injury, under that circumstances provisions of 

deactivation won’t apply and that period will be considered as work. And this is the obligation of the 

employer to get his workers registered, except for own-account worker, who needs to register himself; 

also, when an employer employee an unregistered worker beyond a specific period, there is the 

penalty for that but in the case where employees fail to register within that specific period given, the 

worker has an option to self-register.  

 

o Future of other social security laws 

with this Labour Code, these laws will be obsolete & replaced as the Labor Code provides for 

comprehensive social security structure, subject to states adapting the new Labour Code and 

notification respectively. 

 

o Accountability and Transparency of the Social Security Organizations13  

The Labor Code introduces new approaches to ensure a transparent and fair financial setup, such as: 

                                                             
13 Supra note 7. 



 

  

i) Time-bound preparation of Accounts within six months of the end of the financial year; 

ii) Provision for social audit of social security schemes by State Boards after every five years by 

agencies empanelled by the Central Board. Since the social security mechanism envisaged in 

the Labour Code operates at various levels including that of local bodies' level, a social audit 

may help in creating a sense of ownership amongst the subscribers especially in the lower 

socio-economic workers strata whose contribution will be subsidized from the Government 

fund which will help in identifying the corrective measures right at the ground level; 

iii) Accounts of Intermediate Agencies to be subject to CAG Audit on the same lines as that of 

Social Security Organizations. 

 

o Protection of Privacy of Personal Data 

The Labor Code envisages provisions whereby no person can intentionally disclose transmit copy or 

otherwise disseminate any information collected in the course of implementing the provisions of the 

Labour Code, to any person not authorized under the Labour Code. Similarly, the Labour Code 

prohibits unauthorized access, download, stealing, tampering or destroying of the data of any Social 

Security Organization (SSO). 

 

HISTORY OF THE CODE 

The Code finds its genesis in the Report of the Second National Commission on Labour (2002) and 

many other subsequent studies and reports on social security policies including UN SDGs of the 2030 

Sustainable Development Goals Agenda along with expert technical assistance from the International 

Labour Organization on the policy framework. India has the earlier concept of a joint family with 

which the need of social security was catered but with the rise in migration, urbanization, nuclear 

families and demographic changes, Joint family system has declined and we felt the need for a formal 

system of social security. History of social security movement in India is divide into 2 Phases namely 

during colonial India and Independent India. After the establishment of Cotton Mills in 1851 and Jute 

Mills in 1855, the government felt the need for social security to the working class due to the 

prevalence of inhuman working environment in factories due to more working hours, neglect of 

welfare, lack of holidays and absence of medical care. The lack of safety provisions at the workplace, 

increased accidents to result in labour unrest. The Fatal Accidents Act, 1855 enacted by the British 

Government was inadequate restricting dependents like a brother, sisters from claiming compensation 



 

  

and awarding inadequate rate of compensation.14 And from the phase after World War I, till the phase 

of after the 1950s when India became independent, there have been many reforms, and the (Draft) 

Code on Social Security, 2018 was the result of such reforms having different factors behind. 

 

BRIEF ACCOUNT OF AREAS COVERED UNDER THE CODE 

The labor code has derived its understanding from the fundamental International Labor Organization 

Convention on Social Security. It includes around nine social security covers such as pension, 

maternity benefits, disablement benefit, sickness benefit, invalidity benefit, medical benefit, 

insurance benefit, provident fund, unemployment benefit etc.15  

 Gratuity: The payment of gratuity under this code pertain to the provisions laid down in the 

Payment of Gratuity Act, 1972. The important aspect of gratuity under this code is to count 

qualifying continuous services rendered for a principal employer, person who will be liable to 

pay gratuity. The code does not mention the minimum number of workers to be employed for 

the gratuity scheme to apply on any establishment 

 Maternity Benefits: The code stipulates that the scheme shall be applicable to all the female 

workers, employed directly or through a contractor. The liability of the scheme shall be take 

care from the Maternity benefit fund. The scheme bounds the employer from terminating a 

female worker’s job on the grounds of pregnancy, absence due to miscarriage, medical 

termination of pregnancy etc.  

 Pension- Retirement, Disablement and Dependent benefits: The code covers the pension 

scheme for the old retired workers, disabled workers and dependents of the deceased workers. 

The code focuses to provide comprehensive coverage to workers throughout their active 

service lives as well as after their service lives. It guarantees income security to the worker 

and his family at the time of distress. 

 Sickness benefits: The code guarantees sickness benefits to all the categories of workers as 

per prescribed contributory conditions. Sickness benefits covers the loss of wage during the 

abstention of the worker from work on medical grounds but is only available for low-income 

workers. The code has laid down certain modalities of certification of sickness and abstention 

                                                             
14 Supra note 1. 
15 Ministry of Labor and Employment, Labor Code on Social Security, 2018, (25th February, 2024, 20:30), 

https://www.prsindia.org/sites/default/files/bill_files/Draft%20Labour%20Code%20on%20Social%20Security%2C 

%202018.pdf 



 

  

required from work by any authorized medical practitioner from claiming sickness benefits 

 Medical Benefits: The code has laid down certain limitations for the applicability of medical 

benefits scheme. Medical benefits will be applicable only in notified areas and will provide 

appropriate medical care required by the workers. The code also guarantees medical care to 

the workers and their spouse, when the workers cease to be in insurable employment on 

account of permanent disablement or who has retired. The persons under voluntary retirement 

scheme are also included.  

 The (draft) labor code on social security, 2018, has also envisaged the privatization of social 

security systems, protection of personal data, registration of establishments and workers, it 

has also dealt with offences and penalties, funds and schemes, finance and accounts etc. 

 

PROVISIONS FOR WOMEN UNDER THE CODE 

The (Draft) Labor Code on Social Security, 2018, was enacted with the aim to tackle the existing 

lacunae in the field of labor laws such as exclusion of the unorganized sector workers, around 90% 

of the workers do not come under the ambit of any social security, schemes that have limited outreach 

etc. Part H of the labor code on social security, 2018 deals with the provisions regarding Maternity 

Benefits. Article 53 to Article 60 deals with the provisions regarding maternity benefits, including 

some of the provisions that have already been mentioned in the Maternity Benefits Act, 1961 and 

Employee State Insurance Act, 1948. Article 55 and 56 have been deleted from the (draft) labor code 

on social security, 2018. 

 

Clause 53:16  

The clause deals with the obligations of employers and rights of woman in case of maternity.  

Clause 53.1, 53.2, 53.3, 53.4 and 53.5 are the maternity benefits provided under the Maternity 

Benefits Act, 1961 under sections 4(1), 4(2), 4(3), 11 and 13. 

o Clause 53.1- no employer should knowingly employ a woman within 6 weeks from the date 

of her confinement, miscarriage, or medical termination of pregnancy.  

o Clause 53.2- a woman should not be forced to work by any other person during the 6 weeks 

                                                             
16 Ministry of Labor and Employment, Labor Code on Social Security, 2018, 

https://www.prsindia.org/sites/default/files/bill_files/Draft%20Labour%20Code%20on%20Social%20Security%2C 

%202018.pdf 



 

  

from the date of her confinement, miscarriage, stillbirth or medical termination of pregnancy.  

o Clause 53.3- after a request has been made by the pregnant woman, an employer shall not 

assign any work of hazardous nature or long hours of standing to the woman during 10 weeks 

before the expected date of delivery. Any work that can affect the foetus or the woman’s health 

adversely. 

o Clause 53.4- a woman worker should be allowed four breaks of stipulated break for the 

nursing of the child until the child attains 15 months. 

o Clause 53.5- no deduction should be made from the wages on the grounds of nursing breaks 

and the nature of the work assigned of arduous nature or long hours of standing 

o Clause 53.6- while making any recruitment of similar nature, promotion, training or transfer, 

there should be no discrimination with women except for in the cases where such work is 

prohibited under any law.  

Clause 54:17 The clause deals with the maternity benefit scheme. This clause of maternity 

benefit scheme has been provided under the rules and regulations of the Employee States 

Insurance Corporation under section 50.  

o Clause 54.1-The clause state that there should be a maternity benefit scheme under section 

24(1) of the code. This scheme should provide payments in the form of maternity assistance 

to the woman in case of pregnancy, medical termination of pregnancy, miscarriage, adoption, 

surrogacy etc 

o  Clause 54.2-The clause states that the qualification for claiming the maternity benefit should 

be given according to the section 24 sub-section 2. 

o  Clause 54.3-The clause states that the scheme of maternity benefit applies to 

• All entities are required to contributes under sec.20(1),  

• All non-employees that are required to contribute under sec.20(3),  

• Other persons that are required to contribute under sec.22(5)  

o Clause 54.4- persons to be covered under maternity benefit scheme 

• All employees of the establishment, whether employed directly or through any 

contractor 

• All non-employees to whom the scheme applies. 

                                                             
17 Supra note 16. 



 

  

o  Clause 54.5- subscription to the scheme is compulsory for every worker covered under this 

code. 

 

EFFECT OF SOCIAL SECURITY CODE ON WOMEN WORKERS 

 In India women have faced domination from the patriarchal society. They are exploited at work, they 

do not receive equal wage as men, they do not receive special benefits such as maternity benefits. 

Women are also economically dependent. Such conditions of women in our society increased the 

need of social security. Economic dependence is the foundation on which equality of men and women 

can be built. Thus, for the improvisation of these conditions and for promoting gender neutrality 

several labor law legislations were passed including several social security codes such as Equal 

Remuneration Act, 1976, Maternity Benefits Act, 1961. The introduction of the social security codes 

can be considered as boon for women but only in organized sector. Not all the workers have been 

covered under the social security codes introduced before 2018. In India, 94%18 of the women workers 

are employed in the unorganised sector. The works that lack dignity and social security. As per census 

of 2011, 87%19 of these women are laborers and cultivators. The (draft) labor code on social security, 

2018, has aimed at the universalization of the social security. Thus, the term ‘employee’ covers all 

kind of employment including the informal workers, part-time workers, domestic workers, home-

based workers etc. Thus, the code covers the women workers in the unorganized sectors too. Part H 

of the code has dealt with the maternity benefits that is to be provided to the women workers. The 

provisions under clause 53 to 60 deals with maternity benefit schemes, period, applicability, amount 

etc. It has also been mentioned as to who are eligible for maternity benefits. The code under these 

provisions has bound the employer. The employer cannot terminate the female worker on grounds of 

pregnancy, abstention on the grounds of pregnancy, medical termination of pregnancy, miscarriage 

etc. The code guarantees maternity leave in case of first-born as well as other children born. It also 

guarantees wages during maternity leave to women. The code also, guarantees that employer shall 

not assign any work of straining nature at the time he knows that the woman is pregnant. The code 

has provided the maternity benefits, pension schemes, medical care, sickness benefits etc. to all the 

                                                             
18 Harsimran Singh, The (draft) labor code on social security, 2018, (25th February, 2024, 20:45), 

https://www.mondaq.com/india/employee-benefits-compensation/702902/the-draft-labour-code-on-social-

security2018#:~:text=%20India%3A%20The%20%28Draft%29%20Labour%20Code%20On%20Social,Code%20inten

ds% 20to%20pass%20on%20its...%20More%20; 
19 Id. 



 

  

workers including the female workers. The code is a ray of hope for the female workers. It has initiated 

the change in the condition of female workers. Women can now expect equal remuneration from the 

employers, equal treatment, no exploitation, pension after their death, retirement or disablement etc. 

Thus, the code has affected the lives of female workers at their homes and at the establishment where 

they are employed in a positive manner. 

 

CRITICISM OF THE CODE 

• The labor code has widened the ambit of the categorization of workers and has also included 

the workers from unorganized sector. Though it includes all categories of workers, it refers to 

workers in undifferentiated way in the main sections 

• The reform brought by the code lacks the participation of workers. The ministry adheres to 

the public views while making legislations, but under this code the method and medium of 

soliciting comments excludes the majority of workers from expressing their views. The 

council formed lacks proper representation on behalf of the employees and there is no gender- 

balance in the council. 

• The code has been based on certain under lying presumptions which can be seriously contested 

specially in the context of categorization of workers. The undifferentiation of the workers in 

the main sections shows that it has been presumed that all workers have regular remunerative 

work. Secondly, the presumption is that all workers are homogenous and there is no 

recognizable differentiation among the workers in different sectors.  

• There is a suspicion on the privatization of the social security systems. The Labor Code 

prohibits unauthorized access, download, stealing, tampering or destroying of the data of any 

Social Security Organization. The code requires every employer, employee and each 

employer-employee relationship to be registered. The process of registration is vague and 

fraught with confusion. In case of unorganized sector there is no provision for self-declaration 

by workers. Also, there is no clarity on eligibility and identity of the registering authority. 

• The vagueness and complexity of the registration process is contrary to the propaganda of the 

code. The complex registration process indicates that it will leave out the majority workers 

from the informal or unorganized sectors.20 

                                                             
20 E. Pinto, Proposed Labour Code Aims to provide Social Security to all, (24th Febrauary, 2024, 23:35), 

https://thewire.in/economy/labour-code-social-security-to-all-but-at-the-cost-of-workers-voices. 



 

  

CONCLUSION AND SUGGESTION 

The study of the (draft) labor code on social security, 2018 shows that it is an attempt by the 

Government to simplify, rationalize and consolidate the fragmented laws and to make them less 

complex for easier comprehension, implementation and enforcement of the code. The code has 

focused on certain core principles such as universalization of the workforce, decentralization of the 

administrative powers and integration of fragmented laws and schemes. 

 

 The study of the code proves the first hypothesis of the study that the code focuses on the 

universalization of the social security. This is because the code has widened the ambit of the 

workforce and has included the workers from unorganized sectors also. The code has been made 

applicable to all the workers employed directly or through a contractor under nine different social 

security covers namely gratuity, pension schemes, sickness benefits, medical benefits, maternity 

benefits etc.  

 

Secondly, the other notion that women still have the poor condition as workers in the unorganized 

sector and this code has initiated the change in their condition. The researcher has proved the 

hypothesis. This code is a ray of hope for female workers. The introduction of maternity benefits is a 

boon for women under this code. The code has initiated a change in the positive aspect in the lives of 

female workers. The code has its own drawbacks. Though it aims to make the fragmented laws less 

complex, yet the complexity in the process of registration, suspicion in the privatization of social 

security systems, lack of participation on behalf of workers etc. have made the path for the code to 

achieve its goal more complex.  

 

Suggestions:  

 The term ‘worker’ should be more widely expressed even in the main sections in order to keep 

the workers differentiated and to provide them with facilities under this act on the basis of 

such differentiation 

 The composition of the national council should be changed and there should be more. 
